Trying to create a vugen script for Microsoft Teams

Hi,

 

We are trying to create a trueclient vugen script for simulate microsoft teams access. We were using vugen 12.53 version and unsupported browser messsage appeared with chromium. Then we decided to update to 12.55 because I read that was coming with Chromium v55. After update, we have the same problem about unsupported browser. Checking browser compatibility of microsoft teams we can see that Chrome v52 is supported. I don't understand what is happening.

We also tried to create script with IE browser but the following error is appearing:

AADSTS90102: 'redirect_uri' value must be a valid absolute Uri.

we also tried to create a web http/html script but the number of correlations that must be checked is amazing

Is there any solution for this case?

Regards

Angel

  • Hi Angel,

    Usually, there are two ways to detect browser.

    The first way is checking user agent. In below code, the first line is user agent sent by TruClient 12.55 Chromium, the second line is user agent sent by Chrome version 66. They are almost same, except the Chrome version number.

    Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36
    Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.139 Safari/537.36

     

    The second way is checking browser specific object, that is, checking one or more object(s) only available for the browser (Chrome here). It depends on the object(s) used.

    To understand why the web page doesn't accept TruClient Chromium (based on Chromium 55) as Chrome (52 ), it's better to check the logic in the web page, how it detects the browser. If you could provide the relevant code, we can have a detailed look.

     

    Regarding the IE “redirect_url” issue. I would suggest to try accessing the web page by Microsoft IE first, checking if it works.

  • Hi Alex!,

     

    First of all, thanks for your answer.

    I checked user agent in my chromium and this is the result

    Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36

    I can see a diference on Windows NT version. I don't know if could be a reason.

    About code of website, I tried ti extract code from it but I don't know how to do it. I tried searching on source code but I didn't found anything related.

    About IE, I tried to access to website using MIcrosoft IE and is working perfectly but when I try to access to the same website using IE on TruClient, redirect uri error is appearing

    Regards

    Angel

  • Windows NT version is irrelevant. It's difficult to analyze this problem if the browser detecting logic is unavailable. I'd suggest to submit a ticket to MicroFocus, so detailed investigation could be performed.

  • Thanks Alex I will open a case with Microfocus.

    Anyway, working with devtools for chrome I could see on console more info about unsupported browser error and is strange, because is talking abour "Network offline...???"

     

    I just attached picture with this info

    Regards 

  • I tried to access teams.microsoft.com with TruClient Chromium (LR 12.55, Chromium version 55). TruClient Chromium shows a login page, not the unsupported browser page. See the attached TC_Chromium_12_55_teams_microsoft_com.png.

  • Yes Alex, this step is working.

    The problem is coming when you logged with your user and Teams dashboard is starting loading. At this point is when unsupported browser page appears.

    Today I will test a new thing. I could read that on 12.56 version, a new truclient browser related with last version of firefox is included. I will test connection with this browser and I will inform you with the results

  • Verified Answer

    Hi Alex!,

    Finally I could solve problem with Truclient Browser mode included on v12.56. With this last version of firefox, probe is working perfectly, then, I think that there is a problem with chromium version. Compatibility method from microsoft is not detecting chromium version correctly, I supose.

    Thanks for all your support!

    Regards

  • In version 12.57, released recently, TruClient Chromium browser version has been updated.
    If you need to use Chromium, you can try out that version.
  • Wov Thank you so much! I will try it and I will say if it is working.

    Regards

     

    Angel